POA Sign API
This API is used to digitally sign a PDF Template on behalf of a user.
POST https://services-sandbox.vida.id/signer/v2/services/esign/poa
Query Parameters
docType
String
Document source.
nontemplate : Document is supplied by Client in request body.
hash : hash of Document is supplied by Client in request body.
Default value when empty is ‘template’
Headers
Authorization
String
Bearer <Token received from Authentication>
Content-Type
application/json
{
"data":{
"id":"8efa9d73-c7df-4aa8-8705-29ca45b0ef32"
}
}Request Body
{
"partnerTrxId": "467ad6af-3fb2-41f7-8fc5-0d1b29c308fa",
"signer": {
"email": "user.123@email.com",
"keyId": "3236e3a81faf3dd68d515dc5414b22e54347b78e",
"apiKey": "w0HtHVPBT9v32uFK",
"encCVV": "sxLodFAWknPD8HjrWKIkfDEmRQ=="
},
"requestInfo": {
"userAgent": "Mozilla/5.0 (X11;Linux x86_64) AppleWebKit / 537.36",
"srcIp": "172.217.22.14",
"consentTimestamp": "1702362951"
},
"device": {
"os": "R",
"model": "KB2001",
"uniqueId": "AF7KI0bly3aPIsYJ4+O+2QE",
"networkProvider": "IND idea"
},
"signingInfo": [{
"pdfFile": "<base64>",
"pageNo": "1",
"xPoint": "10",
"yPoint": "10",
"height": "10",
"width": "20",
"clientFilename": "File Name 123",
"qrEnable": true,
"appearance": {
"type": "standard",
"signImage": ""
}
}]
}partnerTrxId
string
M
Unique transaction identifier in a UUID format
signer
object
M
Object containing information about the signer
signer.email
string
M
Email address of the signer
signer.keyId
string
M
Secret key identifier obtained via email, used for authentication
signer.apiKey
string
M
API key provided for signer authentication
signer.encCVV
string
M
Base64 encoded string of the encrypted CVV, using AES encryption
requestInfo
object
M
Object holding data about the user request
requestInfo.userAgent
string
M
Identifies the browser and operating system used by the user
requestInfo.srcIp
string
M
Source IP address from which the request originated
requestInfo.consentTimestamp
string
M
Timestamp indicating when the user gave consent in Unix time format
device
object
M
Object detailing the user's device information, including operating system, model, unique ID, and network provider
device.os
string
M
Operating system of the user's device
device.model
string
M
Model identifier of the user's device
device.uniqueId
string
M
Unique identifier for the user's device
device.networkProvider
string
M
Name of the network provider for the user's device
signingInfo
array
M
Array of objects containing information about the signing process
signingInfo.pdfFile
string
M
Base64 encoded string of the PDF file to be used in the signing
signingInfo.pageNo
string
M
Page number in the PDF document where the signing or action is to occur
signingInfo.xPoint
string
M
X-coordinate on the PDF page to position the signature
signingInfo.yPoint
string
M
Y-coordinate on the PDF page to position the signature
signingInfo.height
string
M
Height of the signature
signingInfo.width
string
M
Width of the signature
signingInfo.clientFileName
string
O
Document name to be displayed on link from QR
signingInfo.qrEnable
boolean
O
Boolean indicating whether a QR code is to be included in the signed document
Default false
signingInfo.appearance
object
O
Object specifying the appearance settings for the signing
signingInfo.appearance.type
string
C
provided: Visual signature featuring a client-provided image.standard: Visual signature using the VIDA standard logo.non_visual: Signature without any visual elements.
signingInfo.appearance.signImage
string
C
Base64 encoded string of the signature image
Response
id : Unique ID per api call to track status updates
Error Handling
Non-success status code responses will have a body with error details
Error Codes
1000
An unknown error occurred while processing the request
1001
Unable to generate certificate
1006
The request is missing a required parameter
21001
Requested method not allowed
21003
The requested resource was not found
31002
No Templates configured for the partner
31003
Provided template Id is invalid
31004
Name contains invalid characters
31005
Product attributes not found
31007
Failed to validate certificate
31008
PDF file provided in the request body is not valid
31009
ekycEventId not found
31010
Invalid transaction id
31011
Invalid ApiKey
31012
Invalid Encryption CVV
31013
Expired Encryption CVV
31014
Invalid Verify Signature
31015
Invalid Token
31016
Invalid Request DocType
31017
Certificate profile not found
Last updated

